

TypeManager.validateTypes = Utils.appendedFunction(TypeManager.validateTypes, function(self)
	local autoloadName = "FS22_aPalletAutoLoader.aPalletAutoLoader";
	
	if self.typeName == "vehicle" and g_specializationManager:getSpecializationByName(autoloadName) ~= nil then
		for vehicleName, vehicleType in pairs(g_vehicleTypeManager.types) do
			if vehicleName == "FS22_lsfmFarmEquipmentPack.transportBarrow" then
				g_vehicleTypeManager:addSpecialization(vehicleName, autoloadName);
			end
		end
	end
end)